Bug 302111 - libidn 1.1 released on ftp.gnu.org
libidn 1.1 released on ftp.gnu.org
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libidn (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-23 05:31 EDT by Florian La Roche
Modified: 2009-03-10 09:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-10 05:21:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2007-09-23 05:31:24 EDT
Description of problem:

There are newer versions released on ftp.gnu.org. Shouldn't we update
libidn for F8 to a current release?

regards,

Florian La Roche



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Joe Orton 2007-09-25 04:07:53 EDT
libidn 1.x is LGPL v3, so the precondition for upgrading is that all dependant
packages are LGPL v3-compatible.  That's not the case currently; there is at
least one dependant package licensed GPLv2-only (elinks) and numerous which
don't have 
correct License tags.
Comment 2 Joe Orton 2008-02-07 10:00:20 EST
Current list of source RPMs which produce binaries which depend on libidn, and
are not GPLv2+ or LGPLv2+ or GPLv3

bind-9.5.0-25.b1.fc9.src.rpm ISC
callweaver-1.2-0.4.rc5.20071230.fc9.src.rpm GPLv2
curl-7.18.0-1.fc9.src.rpm MIT
echoping-5.2.0-3.fc9.src.rpm GPL
elinks-0.11.3-7.fc9.src.rpm GPLv2
iputils-20070202-7.fc9.src.rpm BSD
kcemirror-0.1.5-1.fc7.src.rpm GPL
kchmviewer-3.0-2.fc7.src.rpm GPL
kdelibs3-3.5.8-22.fc9.src.rpm LGPLv2
kdenetwork-4.0.1-2.fc9.src.rpm GPLv2
kmobiletools-0.4.3.3-3.fc6.src.rpm GPL
knemo-0.4.7-1.fc7.src.rpm GPL
libsilc-1.1.5-2.fc9.src.rpm GPLv2 or BSD
metamonitor-0.4.5-3.fc6.src.rpm GPL
mugshot-1.1.56-1.fc8.src.rpm GPL
oooqs2-1.0-3.fc6.src.rpm GPL
perl-Net-LibIDN-0.09-4.fc8.src.rpm GPL+ or Artistic
quadkonsole-2.0.2-1.fc7.src.rpm GPL
synce-kde-0.9.1-1.fc7.src.rpm GPL
yakuake-2.7.5-4.fc7.src.rpm GPL
Comment 3 Kevin Fenzi 2009-03-10 01:58:00 EDT
Hum. Should we revisit this now? 

Looking at the current upstream version I see in the README: 

"The C library (libidn.a), C# library (Libidn.dll) and Java library
(libidn-*.jar) are licensed under the GNU Lesser General Public
License version 2.1 or later.  See the file COPYING.LIB.

The command line tool, self tests, examples, and other auxilliary
files, are licensed under the GNU General Public License version 3.0
or later.  See the file COPYING."

So, I think you could have the devel subpackage LGPLv2+ and the main package with the command line tool, etc be GPLv3+. Does that satisfy the dependent packages? 

midori needs this updated to get idn support, which would be nice to have. :) 
I'll leave it to you if this is worth re-opening.
Comment 4 Joe Orton 2009-03-10 04:41:26 EDT
Major DOH!  Wow, what an idiot, I completely missed that.  Thanks a lot Kevin.

Building 1.9 to Raw Hide right now.
Comment 6 Joe Orton 2009-03-10 09:31:23 EDT
Or even, http://koji.fedoraproject.org/koji/buildinfo?buildID=93628

Note You need to log in before you can comment on or make changes to this bug.